#ifndef CCTRLPARAMBASE_H
#define CCTRLPARAMBASE_H
#include "cmwidget.h"
#include <QLabel>
#include <QHBoxLayout>
#include "variant.h"
#include "export_ctrls_common.h"
class CTRLS_COMMON_EXPORT CCtrlParamBase : public CMWidget
{
    Q_OBJECT
public:
    explicit CCtrlParamBase(QWidget *parent = 0);

    QLabel* staticname;
    QLabel* staticuint;
    Variant* m_pParam;
    QHBoxLayout* layout;
    virtual void MParamInit(Variant* pParam,QString name=QString());
    virtual void MTimeFresh();
    virtual void MFresh();
    virtual void MApply();
    int32_t m_iprecise;
    QSizePolicy::Policy m_hor;
    QSizePolicy::Policy m_ver;
signals:

public slots:
};

#endif // CCTRLPARAMBASE_H
